#ifndef WSCSHEETLISTDATA_H
#define WSCSHEETLISTDATA_H

#include <WScom.h>

class WSCsheetListData {

    void**  _data;
    unsigned _num:24;
    unsigned char _seg_size;

  public:
    WSDLEX32 WSCsheetListData();
    WSDLEX32 WSCsheetListData(long);
    WSDLEX32 WSCsheetListData(WSCsheetListData&);
    WSDLEX32 WSCsheetListData(const WSCsheetListData&);
    WSDLEX32 virtual ~WSCsheetListData();

    WSDLEX32 long   setSize(long i);
    WSDLEX32 long   add(void* data,long i =-1);
    WSDLEX32 void   setData(long i,void*);

    WSDLEX32 void*  getData(long i);
    WSDLEX32 long   getNum();
    WSDLEX32 void*  getTopData();
    WSDLEX32 void*  getBottomData();
    WSDLEX32 void** getBuf();

    WSDLEX32 long   del(void* data);
    WSDLEX32 long   delPos(long i);
    WSDLEX32 void   clear();
    WSDLEX32 WSCsheetListData& operator = (WSCsheetListData&);
    WSDLEX32 void*  &operator[](long index);
};
#endif
